/***************************************************************************
                           MYPRINTER.H
                        -------------------                          
    begin                : 2001-03-09
    copyright            : (C) 2000 by Jan Becker
    email                : tahoma@gmx.de
    author               : Jan Becker
                                                                          
                                                                         
     This program is free software; you can redistribute it and/or modify  
     it under the terms of the GNU General Public License as published by  
     the Free Software Foundation; either version 2 of the License, or     
     (at your option) any later version.                                   

	InstallShield Header File
                                                                          
 ***************************************************************************/

#ifndef _MYPRINTER_H_
#define _MYPRINTER_H_

#include "err_printer.h"


/**********************************************************************
   Tries to install a printer driver :)
 
   PARAMS	lpMonitor			name of printermonitor
  			lpMonitorFile		filename of printermonitor (mostly dll)
 			lpNamePrinter		printername (as seen in properties)
 			lpNamePrinterDriver	printerdrivername (as seen in the driverlist)
 			lpDriverFile		filename of driverfile
 			lpDataFile			filename of datafile
 			lpConfigFile		filename of UI-module. this module offers
 								dialogs to configure the printer
 			lpNamePort			portname to which printer is connected 
 								(e.g. LPT1:)
 
   RETURN (all functions):
  	0 	- FALSE
 	1 	- TRUE or OK
    < 0	- FAILURE (see err_printer.h)                                   
 
   REMARKS  this function should work only with winnt or win2k. for
  			win9x take the other function. sometimes this piece of
    		code crashes under win9x but the driver is installed.
    		
    		to copy the driver files to the correct location,
    		it's up to you. to find the correct directory,
    		use GetPrinterDirectory(...).
    		
 			good luck!
 **********************************************************************/

prototype int myprinter.GetPrinterDirectory( BYREF STRING );

prototype int myprinter.InstallMyPrinter(	BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING	);
                                            
prototype int myprinter.InstallMyPrinter9x(	BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING,
											BYVAL STRING, BYVAL STRING	);
											
/**********************************************************************
   PARAMS (this functions):
    BYREF BYVAL STRING	- name of the printer, driver, monitor or port
    BOOL			- whether the device should be deleted (if found)
  					  or not
 **********************************************************************/

prototype int myprinter.IsPrinterInstalled(	BYVAL STRING, BOOL );
prototype int myprinter.IsPrinterDriverInstalled( BYVAL STRING, BOOL );
prototype int myprinter.IsMonitorInstalled( BYVAL STRING, BOOL );
prototype int myprinter.PrinterPortExists( BYVAL STRING, BOOL );

#endif