/***************************************************************************
                           PRINTER.H
                        -------------------                          
    begin                : 2001-03-09
    copyright            : (C) 2000 by Jan Becker
    email                : tahoma@gmx.de
 	author               : Jan Becker
                                                                          
                                                                          
     This program is free software; you can redistribute it and/or modify  
     it under the terms of the GNU General Public License as published by  
     the Free Software Foundation; either version 2 of the License, or     
     (at your option) any later version.                                   
                                                                          
 ***************************************************************************/

#ifndef __MY_PRINTER_H__
#define __MY_PRINTER_H__

#include "err_printer.h"

#define NAME_WINPRINT        "winprint"
#define NAME_RAW             "RAW"


int WINAPI GetPrinterDirectory(LPSTR string);
 
/* 
   Installiert einen Druckertreiber
   Params:	lpMonitor			Name des Druckermonitors
			lpMonitorFile		Dateiname des Druckermonitors (dll)
			lpNamePrinter		Name des Druckers
			lpNamePrinterDriver	Name des Druckertreibers (meist gleich lpNamePrinter)
			lpDriverFile		Dateiname des Druckerdevicetreibers
			lpDataFile			Dateiname des Druckerdatentreibers
			lpConfigFile		Dateiname des Konfigurationsmoduls. Ist kein Konfigurations-
								modul vorhanden, trage ich den Druckerdevicetreiber ein.
			lpNamePort			Name des Ports, ueber den der Drucker laeuft (z.B. LPT1:)
*/
int WINAPI InstallMyPrinter  (LPSTR lpMonitor, LPSTR lpMonitorFile,
							  LPSTR lpNamePrinter, LPSTR lpNamePrinterDriver,
							  LPSTR lpDriverFile, LPSTR lpDataFile,
							  LPSTR lpConfigFile, LPSTR lpNamePort);

/* 
   sollte benutzt werden, wenn unter WIN9X installiert wird. hier ist noch
   einiges im argen. z.b. stuerzt die funktion unter 9x nach erfolgreicher
   installation ab. der drucker ist aber trotzdem vorhanden. muss noch
   geforscht werden.
*/
int WINAPI InstallMyPrinter9x(LPSTR lpMonitor, LPSTR lpMonitorFile,
							  LPSTR lpNamePrinter, LPSTR lpNamePrinterDriver,
							  LPSTR lpDriverFile, LPSTR lpDataFile,
							  LPSTR lpConfigFile, LPSTR lpNamePort);

int WINAPI InstallPrinter(LPSTR lpPrinterName, LPSTR lpPortName,
                    LPSTR lpDriverName, BOOL bConfigDialog = TRUE, HWND hWnd = NULL);
int WINAPI InstallPrinterDriver(LPSTR lpPrinterDriverName, LPSTR lpDriverFile,
                          LPSTR lpDataFile, LPSTR lpConfigFile, DWORD cVersion = 4);
int WINAPI InstallMonitor(LPSTR lpMonitorName, LPSTR lpDllName);

// prueft, ob der drucker schon installiert ist oder nicht.
// wenn ja, kann mit bDeleteIfFound festgelegt werden,
// ob er entfernt werden soll, um ihn erneut zu installieren
// diese fuktion kann auch genutzt werden, um den drucker zu entfernen
int WINAPI IsPrinterInstalled(LPSTR lpPrinterName, BOOL bDeleteIfFound = TRUE);

int WINAPI IsPrinterDriverInstalled(LPSTR lpPrinterDriverName, BOOL bDeleteIfFound = FALSE);
int WINAPI IsMonitorInstalled(LPSTR lpMonitorName, BOOL bDeleteIfFound = FALSE);
int WINAPI PrinterPortExists(LPSTR lpPortName, BOOL bDeleteIfFound = FALSE);

#endif